
	uniform float Trans;

	
	void main()
	{	



		gl_TexCoord[0] = gl_MultiTexCoord0*2.0;

		gl_TexCoord[1] = gl_MultiTexCoord0*50.0;
		gl_TexCoord[1].s += Trans;



vec4 v = vec4(gl_Vertex);		

v.y -= cos(Trans*100.0+v.z*10.0+v.x )*0.6;


		gl_TexCoord[1].t += v.y*0.05;
		
		gl_Position = gl_ModelViewProjectionMatrix * v;			

	} 